// creator  : weidu.exe (version 23100)
// argument : UDDROW07.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~UDDROW07~ 2 // non-zero flags may indicate non-pausing dialogue

IF ~NumTimesTalkedTo(0)~ THEN BEGIN 0 // from:
  SAY #52573 /* ~Greetings to you, o potent <MALEFEMALE>.  Stay for a time, if you wish... the group of us here are sharing exploits and tales of the past.  Something I doubt you Nasadrans have time for, eh?~ */
  IF ~~ THEN GOTO 1
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #52580 /* ~I have a tale for you, if you're interested.  Something my house-mother once told me, in fact.  If you're of a mind, that is...~ */
  IF ~~ THEN REPLY #52585 /* ~Sure, I'd like to hear it.~ */ GOTO 4
  IF ~~ THEN REPLY #52586 /* ~I've actually some questions...~ */ GOTO 2
  IF ~~ THEN REPLY #52587 /* ~Maybe some other time.~ */ GOTO 3
END

IF ~~ THEN BEGIN 2 // from: 14.1 1.1
  SAY #52588 /* ~I'm not in the mood to be barraged by questions by a newcomer to the city.  You are lucky you aren't in the slave pens, if you ask me.  Go bother Nym, if you must anyone.~ */
  IF ~~ THEN REPLY #52591 /* ~Fine, tell me your story then.~ */ GOTO 4
  IF ~~ THEN REPLY #52592 /* ~I'll talk to him, then.~ */ GOTO 3
END

IF ~~ THEN BEGIN 3 // from: 14.2 2.1 1.2
  SAY #52593 /* ~Then begone.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 4 // from: 14.0 2.0 1.0
  SAY #52594 /* ~Excellent!  Hah!  My tale... my tale begins long ago, when our people first descended into the great depths and dark caverns.  During a day when our homes were not carved out of stone and clay.~ */
  IF ~~ THEN GOTO 5
END

IF ~~ THEN BEGIN 5 // from: 4.0
  SAY #52595 /* ~Drow homes were made of twigs and black grasses, grass that many had brought with them into the Underdark.  There were few homes, of course, but the largest belonged to the first Matriarch.~ */
  IF ~~ THEN GOTO 6
END

IF ~~ THEN BEGIN 6 // from: 5.0
  SAY #52596 /* ~The Matriarch led the early hordes of drow, helping them to survive in hostile lands.  She was powerful, potent and cunning... a great boon to her people, who admired her greatly.~ */
  IF ~~ THEN GOTO 7
END

IF ~~ THEN BEGIN 7 // from: 6.0
  SAY #52597 /* ~To honor her, a group of drow set upon the shark-fiends and stole the stone throne of their King, to secretly present to the Matriarch as a trophy.  They stowed it in the grass rafters of her Hall.~ */
  IF ~~ THEN GOTO 8
END

IF ~~ THEN BEGIN 8 // from: 7.0
  SAY #52599 /* ~The Matriarch arrived in her Hall and the drow warriors went to retrieve the throne, but much to their horror its weight caused it to fall through the grass rafters and crush the Matriarch below.~ */
  IF ~~ THEN GOTO 9
END

IF ~~ THEN BEGIN 9 // from: 8.0
  SAY #52600 /* ~It is a sad, sad tale of our early travails in this dark place... and it holds a moral, as well.  Can you think of the moral, <MALEFEMALE>?~ */
  IF ~!IsValidForPartyDialog("Jan")
!IsValidForPartyDialog("Minsc")
!IsValidForPartyDialog("HaerDalis")~ THEN REPLY #52609 /* ~I'm sure I have no idea.~ */ GOTO 10
  IF ~IsValidForPartyDialog("Jan")~ THEN EXTERN ~JANJ~ 145
  IF ~!IsValidForPartyDialog("Jan")
IsValidForPartyDialog("Minsc")~ THEN EXTERN ~MINSCJ~ 153
  IF ~!IsValidForPartyDialog("Jan")
!IsValidForPartyDialog("Minsc")
IsValidForPartyDialog("HaerDalis")~ THEN EXTERN ~HAERDAJ~ 98
END

IF ~~ THEN BEGIN 10 // from: 9.0
  SAY #52601 /* ~Hah!  Haha!  The moral, of course, is: "don't stow thrones in grass houses"!~ */
  IF ~~ THEN EXTERN ~UDDROW09~ 0
END

IF ~~ THEN BEGIN 11 // from:
  SAY #52602 /* ~Yes!  Yes!!  That's it exactly!!~ */
  IF ~~ THEN EXTERN ~UDDROW09~ 0
END

IF ~~ THEN BEGIN 12 // from: UDDROW09:0.0
  SAY #52603 /* ~Bah!  The Spider Queen has no sense of humour!  Now, Vhaeraun, on the other hand...~ */
  IF ~~ THEN EXTERN ~UDDROW09~ 1
END

IF ~Dead("uddrow09")
CombatCounter(0)~ THEN BEGIN 13 // from:
  SAY #52604 /* ~The Masked Lord does not walk alone, fools!  I'll be back!!~ */
  IF ~~ THEN DO ~EscapeArea()~ EXIT
END

IF ~!Dead("uddrow09")
CombatCounter(0)~ THEN BEGIN 14 // from:
  SAY #52612 /* ~Hm.  You wander back to me?  Perhaps you have come to hear my tale, after all?~ */
  IF ~~ THEN REPLY #52613 /* ~Fine, let's hear it.~ */ GOTO 4
  IF ~~ THEN REPLY #52614 /* ~Actually, I wonder if I could ask you about something else?~ */ GOTO 2
  IF ~~ THEN REPLY #52615 /* ~No, not really.~ */ GOTO 3
END
